跳转到内容

Seedance 2.0 Mini Text to Video

集成

模型 id bytedance/seedance-2.0/mini/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance-2.0/mini/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $2.321 2,321 API 积分 在此页面运行

获取 API 密钥
ByteDance 文生视频 原生音频唇形同步4–15 秒最高 720p #stylized#transform#lipsync

Mini Seedance 2.0 文本转视频,支持 480p 或 720p,并可选同步音频

在 Doitong 上制作

Doitong 社区使用 Seedance 2.0 制作的公开作品。一键复用提示词。

显示的公开作品:16
Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and ... 视频

Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and trees are frozen mid-action Action: Only the bunny-suited man moves, walking and waving in front of an unresponsive man in a black suit Style: Cinematic, intense stillness, Quicksilver/X-Men, Matrix...

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely fr... 视频

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely frozen in time. Nothing moves. Absolutely nothing. All people are frozen, cars are frozen, bicycles are frozen, traffic lights are frozen, trees and leaves are frozen, wind is frozen, shadows are...

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling ... 视频

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling around her face. She’s wearing glossy, high-tech neon visor goggles with a vivid color gradient — bright yellow, orange, and pink reflecting glowing city lights. Her expression is confident and...

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, act... 视频

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, actively working on a giant [pizza]. The tiny workers are using small tools, cranes, and machines to [assemble]. The [pizza] is placed on a metal surface or kitchen countertop. Steam or particles rise...

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в ... 视频

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в попытке выключить, но они продолжают пищать, она в панике оглядывается. Камера медленно приближается с низкого угла от ног кровати к лицу, создавая ощущение нарастания хаоса. Лучи утреннего солнца...

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. К... 视频

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. Камера медленно отъезжает назад, охватывая весь уютный дом и сад. Свет солнца постепенно затухает, переходя в сумерки. Финальный кадр передает чувство семейного тепла и завершенности прекрасного дня....

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскаки... 视频

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскакивает, хватает ключи. Камера кружит вокруг нее на 180 градусов на уровне колен, ускоряясь. Ключи звенят, сумка болтается. Эмоциональный бит — пик хаоса с ноткой абсурдного юмора. Dialogue in this...

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро... 视频

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро следует за ним на уровне земли, создавая эффект скорости. Анна и дети вбегают в кадр и выбегают из него, размахивая руками. Пыль слегка поднимается из-под лап. Сцена наполнена комичным драйвом и...

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

指导视频生成的文本提示词。

duration auto

视频时长选择:`auto` 根据提示词交由模型决定,明确指定的时长必须为 4–15 秒。

resolution 默认 720p

输出分辨率:480p 优先生成速度,720p 提供均衡选择。

aspect_ratio 默认 auto

输出宽高比:16:9 为横向,9:16 为纵向,1:1 为正方形,21:9 为电影级超宽屏。选择 `auto` 由模型选择宽高比。

高级 codec · end_user_id
codec 默认 auto

视频编解码器选择:`auto` 保持默认编解码器行为,`H264` 选择 H.264,`H265` 选择 H.265。

分配给最终用户的唯一标识符。

POST /run/bytedance/seedance-2.0/mini/text-to-video?wait=20 报价 → $2.321
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance-2.0/mini/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Seedance 2.0 Mini Text to Video

仅根据文本提示词创建视频片段。分辨率为 480p 或 720p,时长为 auto 或 4 到 15 秒,宽高比为 21:9 至 9:16 或 auto。默认生成带音效和语音的音频,也可通过 `generate_audio` 关闭。编码器可设为 H264 或 H265。

参数

名称类型 默认值允许值 描述
prompt必填
类型string
指导视频生成的文本提示词。
resolution可选
类型enum
默认值720p
480p720p
输出分辨率:480p 优先生成速度,720p 提供均衡选择。
duration可选
类型enum
默认值auto
auto456789101112131415
视频时长选择:`auto` 根据提示词交由模型决定,明确指定的时长必须为 4–15 秒。
aspect_ratio可选
类型enum
默认值auto
auto21:916:94:31:13:49:16
输出宽高比:16:9 为横向,9:16 为纵向,1:1 为正方形,21:9 为电影级超宽屏。选择 `auto` 由模型选择宽高比。
generate_audio可选
类型boolean
默认值true
启用此选项可为视频生成同步音频。生成的音频包括与嘴部动作匹配的语音、环境氛围声和音效。
codec可选
类型enum
默认值auto
autoH264H265
视频编解码器选择:`auto` 保持默认编解码器行为,`H264` 选择 H.264,`H265` 选择 H.265。
end_user_id可选
类型string | null
分配给最终用户的唯一标识符。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance-2.0/mini/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2321,
    "usd": "2.321",
    "charged": 2321,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}生成得到的视频文件。
seed
integer生成期间应用的种子值。

更多模型:文生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bytedance/seedance-2.0/mini/text-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt